Bug 1721707 - [abrt] xfdesktop: magazine_chain_pop_head(): xfdesktop killed by SIGSEGV
Summary: [abrt] xfdesktop: magazine_chain_pop_head(): xfdesktop killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:82e8bf301bdf131353de4c28759...
: 1722455 1722538 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-18 22:16 UTC by Tim Ricketts
Modified: 2020-05-26 18:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:30:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.36 KB, text/plain)
2019-06-18 22:16 UTC, Tim Ricketts
no flags Details
File: cgroup (345 bytes, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: core_backtrace (6.80 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: cpuinfo (1.03 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: dso_list (12.27 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: environ (4.09 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: exploitable (82 bytes, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: limits (1.29 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: maps (70.85 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: mountinfo (4.42 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: open_fds (3.39 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-06-18 22:17 UTC, Tim Ricketts
no flags Details

Description Tim Ricketts 2019-06-18 22:16:55 UTC
Version-Release number of selected component:
xfdesktop-4.13.3-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 21fa594cc-6226-44b3-926e-6bf80751e331
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfdesktop
journald_cursor: s=25c824b0d8d44352bf2c83499cf2d12a;i=1f8bc7;b=b8a27cd703ce4a139880655b1e5c48bd;m=14b4bb10f4;t=58ba04a099132;x=659bc201c83f4425
kernel:         5.1.8-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at ../glib/gslice.c:538
 #1 thread_memory_magazine1_alloc at ../glib/gslice.c:841
 #2 g_slice_alloc at ../glib/gslice.c:1015
 #3 g_list_copy_deep at ../glib/glist.c:693
 #4 g_list_copy at ../glib/glist.c:636
 #5 garcon_menu_item_reload_from_file at garcon-menu-item.c:1113
 #6 garcon_menu_item_reload at garcon-menu-item.c:961
 #7 garcon_menu_process_file_changes at garcon-menu.c:2274
 #13 gtk_main at gtkmain.c:1323
 #14 xfdesktop_application_start at xfdesktop-application.c:764

Potential duplicate: bug 1049119

Comment 1 Tim Ricketts 2019-06-18 22:16:59 UTC
Created attachment 1581910 [details]
File: backtrace

Comment 2 Tim Ricketts 2019-06-18 22:17:00 UTC
Created attachment 1581911 [details]
File: cgroup

Comment 3 Tim Ricketts 2019-06-18 22:17:01 UTC
Created attachment 1581912 [details]
File: core_backtrace

Comment 4 Tim Ricketts 2019-06-18 22:17:03 UTC
Created attachment 1581913 [details]
File: cpuinfo

Comment 5 Tim Ricketts 2019-06-18 22:17:05 UTC
Created attachment 1581914 [details]
File: dso_list

Comment 6 Tim Ricketts 2019-06-18 22:17:06 UTC
Created attachment 1581915 [details]
File: environ

Comment 7 Tim Ricketts 2019-06-18 22:17:07 UTC
Created attachment 1581916 [details]
File: exploitable

Comment 8 Tim Ricketts 2019-06-18 22:17:08 UTC
Created attachment 1581917 [details]
File: limits

Comment 9 Tim Ricketts 2019-06-18 22:17:11 UTC
Created attachment 1581918 [details]
File: maps

Comment 10 Tim Ricketts 2019-06-18 22:17:12 UTC
Created attachment 1581919 [details]
File: mountinfo

Comment 11 Tim Ricketts 2019-06-18 22:17:13 UTC
Created attachment 1581920 [details]
File: open_fds

Comment 12 Tim Ricketts 2019-06-18 22:17:16 UTC
Created attachment 1581921 [details]
File: proc_pid_status

Comment 13 Marcus Engelke 2019-06-20 11:53:43 UTC
*** Bug 1722455 has been marked as a duplicate of this bug. ***

Comment 14 Sergio 2019-06-20 15:10:45 UTC
*** Bug 1722538 has been marked as a duplicate of this bug. ***

Comment 15 Miro Hrončok 2019-07-16 23:17:55 UTC
Similar problem has been detected:

runnign dnf upgrade, xfce4-panel, xfce4-appfinder and xfdesktop restarted when updating packages with desktop files.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 21acccd48-5898-4408-b404-67f390f0795b
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfdesktop
journald_cursor: s=46a5ab75150b46f1ae695708bb82a4a6;i=c0e9;b=1997576fa85142b78f514a93dd2a2b44;m=91b895dfd3;t=58dd46fd6d2af;x=a4fc44a480d99ccd
kernel:         5.1.16-300.fc30.x86_64
package:        xfdesktop-4.13.5-1.fc30
reason:         xfdesktop killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora Update System 2019-08-15 22:31:17 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 17 Fedora Update System 2019-08-17 01:27:15 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 18 Fedora Update System 2019-08-23 01:26:54 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Ben Cotton 2020-04-30 20:18:44 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2020-05-26 18:30:10 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.